petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexInsertConeOrientation

Insert a point orientation for the in-edge for the point p in the DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInsertConeOrientation(DM dm, PetscInt p, PetscInt conePos, PetscInt coneOrientation)

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The point, which must lie in the chart set with DMPlexSetChart()
| conePos | - The local index in the cone where the point should be put
| coneOrientation | - The point orientation to insert

### See Also

DMPlexCreate(), DMPlexGetCone(), DMPlexSetChart(), DMPlexSetConeSize(), DMSetUp()

### Level

beginner

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages